%
% A11A.m
%
% Read in a data file containing semi-major axis and period of planets in 
% our solar system (as of 2014).
%
% Programming Concepts:  load command, for loop
%
% INPUT:    User is prompted to enter a number between 1 and 10
% OUTPUT:   The computer tells the user if he/she is a lucky winner
%
% DEPENDENT FILES:  planetsA.txt
%
% Matlab-Monkey.com
% 12/30/2014

% tidy-up your workspace
clc         % clear command window
clear       % clear all variables
close all   % close all graphics windows


% load in data from the file planetsA.txt
% this command will create a matrix called planetsA to store the data
load('planetsA.txt');

% extract the semi-major axis from the first column of planetsA
a = planetsA(:,1);

% extract the period from the second column of planetsA
P = planetsA(:,2);

% First print a header labeling the columns
fprintf('Planet #    semi-major axis (AU)    period (years)\n')

% now print the data. Note the use of %6.2f formatting. The number to the 
% right of the decimal represents the number of decimal places, and the 
% number to the left of the decimal point represents the total number of 
% spaces reserved for the number.
for i=1:length(a)
    fprintf('%5i             %6.2f               %6.2f\n',i,a(i),P(i));
end
